// Master file for DW-level simulation
// 
// NOTE: 
// (1) If any module (including those in the vendor libraries) use the
// `timescale directive (eg `timescale 1ns / 10ps), that diretive
// (i.e. `timescale 1ns / 10 ps in this case) has to be added to the beginning
// of the 1st file in this master file or else Verilog-XL is going to 
// complain about it. Now a separate file timescale.v is used for this purpose.


../cmudsp/structural/timescale.v 


/* Cascade and DesignWare libraries */
+libext+.v+
-y /afs/ece/usr/ar39/stdcell/synopsys/verilog
-v /afs/ece/usr/ar39/stdcell/synopsys/verilog_primitives.v


/* defines */
../cmudsp/structural/globals.v
../cmudsp/structural/ctl_def.v

/* Top level */

../synopsys/syn/core_cascade.v

/* test bench related models */
async_ramb.v
core_ram_struc.v

/* the test bench */
test.v 
