//	master file for structural simulation

/* Cascade stuff */
+libext+.v+
-y /afs/ece/usr/cascade/models/cmos/verilog

/* agu files that got to synopsys */
../56k/structural/agu/before_syn/agu_stage2.v             
../56k/structural/agu/before_syn/multi_wrap_address.v
../56k/structural/agu/before_syn/address_mode.v      
../56k/structural/agu/before_syn/agu_stage3.v             
../56k/structural/agu/before_syn/write_enable_selector.v
../56k/structural/agu/before_syn/agu_bit_test.v           
../56k/structural/agu/before_syn/bound_chk.v              
../56k/structural/agu/before_syn/x_memory_access.v
../56k/structural/agu/before_syn/agu_registers.v          
../56k/structural/agu/before_syn/lower_upper.v            
../56k/structural/agu/before_syn/y_memory_access.v
../56k/structural/agu/before_syn/mydecoder.v
../56k/structural/agu/before_syn/regset_selector_c.v

/* other agu files */
../56k/structural/agu/add_sub_16bit.v
../56k/structural/agu/addr_alu.v
../56k/structural/agu/agu_datapath.v
../56k/structural/agu/agu_structural.v
../56k/structural/agu/linear_bitreverse.v
../56k/structural/agu/rfm.v
../56k/structural/agu/rfrn.v
../56k/structural/agu/selector_14_to_1_16bit.v
../56k/structural/agu/selector_5_to_1_16bit.v
../56k/structural/agu/selector_6_to_1_16bit.v                  
../56k/structural/agu/wrap_once_address.v


/* pcu files */
../56k/structural/pcu/pcu_structural.v
../56k/structural/pcu/before_syn/pcu_stage2.v
../56k/structural/pcu/before_syn/pcu_stage3.v
../56k/structural/pcu/before_syn/PAB_register.v
../56k/structural/pcu/before_syn/pcu_reg_control.v


/* data switch files */
../56k/structural/bus_switch/before_syn/bus_switch.v


/* alu */
../56k/structural/alu.cascade/ctl_def.v 
../56k/structural/alu.cascade/XYregImm_c.v 
../56k/structural/alu.cascade/mult_c.v
../56k/structural/alu.cascade/addsub_c.v
../56k/structural/alu.cascade/round_c.v
../56k/structural/alu.cascade/shift1_c.v
../56k/structural/alu.cascade/logic_c.v
../56k/structural/alu.cascade/mux_mult.v
../56k/structural/alu.cascade/mux_add.v
../56k/structural/alu.cascade/mux_logic.v
../56k/structural/alu.cascade/check_imm.v
../56k/structural/alu.cascade/control.v
../56k/structural/alu.cascade/control_p.v
../56k/structural/alu.cascade/extcheck_c.v
../56k/structural/alu.cascade/limit_c.v
../56k/structural/alu.cascade/alu_struc.v
/afs/ece/usr/yftong/projects/alu/vout/decode_null.v
/* test bench related models */
async_ramb.v
core_ram_struc.v
core_struc.v

/* the test bench */
test_struc.v 
