//	master file for structural simulation

/* Cascade stuff */
+libext+.v+
-y /afs/ece/common/local/usr/supported/epoch/models/cmos/verilog
-v /afs/ece/common/local/usr/supported/epoch/data/verilog/primlib.v

/* agu files that got to synopsys */


../56k/structural/agu/before_syn/agu_control.v
../56k/structural/agu/before_syn/multi_wrap_address.v
../56k/structural/agu/before_syn/address_mode.v      
../56k/structural/agu/before_syn/write_enable_selector.v
../56k/structural/agu/before_syn/x_memory_access.v
../56k/structural/agu/before_syn/agu_tristate.v          
../56k/structural/agu/before_syn/lower_upper.v            
../56k/structural/agu/before_syn/y_memory_access.v
../56k/structural/agu/before_syn/mydecoder.v
../56k/structural/agu/before_syn/regset_selector_c.v
../56k/structural/agu/before_syn/addr_modifier.v
../56k/structural/agu/before_syn/bound_chk.v

/* other agu files */
../56k/structural/agu/add_sub_16bit.v
../56k/structural/agu/addr_alu.v
../56k/structural/agu/agu_structural.v
../56k/structural/agu/linear_bitreverse.v
../56k/structural/agu/rfm.v
../56k/structural/agu/rfn.v
../56k/structural/agu/rfr.v
../56k/structural/agu/mux8_16bit.v
../56k/structural/agu/selector_5_to_1_16bit.v
../56k/structural/agu/wrap_once_address.v


/* pcu files */
../56k/structural/pcu/pcu_structural.v
../56k/structural/pcu/before_syn/pcu_stage2.v
../56k/structural/pcu/before_syn/pcu_stage3.v
../56k/structural/pcu/before_syn/pab_register.v
../56k/structural/pcu/before_syn/pcu_reg_control.v


/* data switch files */
../56k/structural/bus_switch/bus_switch.v
../56k/structural/bus_switch/before_syn/bs_control.v



/* alu */
../56k/structural/alu.cascade/ctl_def.v 
../56k/structural/alu.cascade/XYregImm_c.v 
../56k/structural/alu.cascade/XYregImm_scan.v
../56k/structural/alu.cascade/mult_c.v
../56k/structural/alu.cascade/addsub_c.v
../56k/structural/alu.cascade/round_c.v
../56k/structural/alu.cascade/shift1_c.v
../56k/structural/alu.cascade/logic_c.v
../56k/structural/alu.cascade/mux_mult.v
../56k/structural/alu.cascade/mux_add.v
../56k/structural/alu.cascade/mux_logic.v
../56k/structural/alu.cascade/before_syn/check_imm.v
../56k/structural/alu.cascade/before_syn/control.v
../56k/structural/alu.cascade/before_syn/control_p.v
../56k/structural/alu.cascade/extcheck_c.v
../56k/structural/alu.cascade/limit_c.v
../56k/structural/alu.cascade/alu_struc.v
../56k/structural/alu.cascade/decode_null.v

/* Top level */
../56k/structural/core_cascade.v

/* test bench related models */
async_ramb.v
core_ram_struc.v

/* the test bench */
def_core_only
test.v 
