
module agu_tristate ( gdb_out, gdb_write, PABwrite_2, test, GDB_out, 
    pab_tri_en, gdb_tri_en );
input  [15:0] gdb_out;
output [23:0] GDB_out;
input  gdb_write, PABwrite_2, test;
output pab_tri_en, gdb_tri_en;
    wire \GDB_out[2] , \GDB_out[13] , \GDB_out[6] , \GDB_out[11] , 
        \GDB_out[4] , \GDB_out[9] , \GDB_out[15] , \GDB_out[0] , \GDB_out[8] , 
        \GDB_out[1] , \GDB_out[14] , \GDB_out[10] , \GDB_out[5] , \GDB_out[7] , 
        \GDB_out[12] , \GDB_out[3] , net42, net33;
    assign \GDB_out[15]  = gdb_out[15];
    assign \GDB_out[14]  = gdb_out[14];
    assign \GDB_out[13]  = gdb_out[13];
    assign \GDB_out[12]  = gdb_out[12];
    assign \GDB_out[11]  = gdb_out[11];
    assign \GDB_out[10]  = gdb_out[10];
    assign \GDB_out[9]  = gdb_out[9];
    assign \GDB_out[8]  = gdb_out[8];
    assign \GDB_out[7]  = gdb_out[7];
    assign \GDB_out[6]  = gdb_out[6];
    assign \GDB_out[5]  = gdb_out[5];
    assign \GDB_out[4]  = gdb_out[4];
    assign \GDB_out[3]  = gdb_out[3];
    assign \GDB_out[2]  = gdb_out[2];
    assign \GDB_out[1]  = gdb_out[1];
    assign \GDB_out[0]  = gdb_out[0];
    assign GDB_out[23] = 1'b0;
    assign GDB_out[22] = 1'b0;
    assign GDB_out[21] = 1'b0;
    assign GDB_out[20] = 1'b0;
    assign GDB_out[19] = 1'b0;
    assign GDB_out[18] = 1'b0;
    assign GDB_out[17] = 1'b0;
    assign GDB_out[16] = 1'b0;
    assign GDB_out[15] = \GDB_out[15] ;
    assign GDB_out[14] = \GDB_out[14] ;
    assign GDB_out[13] = \GDB_out[13] ;
    assign GDB_out[12] = \GDB_out[12] ;
    assign GDB_out[11] = \GDB_out[11] ;
    assign GDB_out[10] = \GDB_out[10] ;
    assign GDB_out[9] = \GDB_out[9] ;
    assign GDB_out[8] = \GDB_out[8] ;
    assign GDB_out[7] = \GDB_out[7] ;
    assign GDB_out[6] = \GDB_out[6] ;
    assign GDB_out[5] = \GDB_out[5] ;
    assign GDB_out[4] = \GDB_out[4] ;
    assign GDB_out[3] = \GDB_out[3] ;
    assign GDB_out[2] = \GDB_out[2] ;
    assign GDB_out[1] = \GDB_out[1] ;
    assign GDB_out[0] = \GDB_out[0] ;
    stdinv_5x U6 ( .IN0(test), .Y(net42) );
    stdinv_5x U7 ( .IN0(test), .Y(net33) );
    stdnand2_4x U8 ( .IN0(PABwrite_2), .IN1(net42), .Y(pab_tri_en) );
    stdnand2_4x U9 ( .IN0(gdb_write), .IN1(net33), .Y(gdb_tri_en) );
endmodule

