
module control ( Clk, reset, pdb, immediate, shift1_in_sel, add_nadd_sub, 
    a_ena, b_ena, round_ctl, shift1_left, shift1_right, logic_in1_sel, 
    logic_in2_sel, logic_ena, logic_c, ccr_affected, mult_aa_sel, mult_a_sel, 
    mult_bb_sel, mult_ena, add_2a_sel, add_22c_sel, add_21c_sel, add_20c_sel, 
    add_2d_sel, add_ena, scan_in, test, scan_out );
input  [23:0] pdb;
output [2:0] logic_c;
output [1:0] mult_aa_sel;
output [1:0] mult_bb_sel;
output [1:0] add_21c_sel;
output [1:0] add_20c_sel;
output [1:0] add_22c_sel;
output [1:0] logic_in2_sel;
input  Clk, reset, immediate, scan_in, test;
output shift1_in_sel, add_nadd_sub, a_ena, b_ena, round_ctl, shift1_left, 
    shift1_right, logic_in1_sel, logic_ena, ccr_affected, mult_a_sel, mult_ena, 
    add_2a_sel, add_2d_sel, add_ena, scan_out;
    wire \shift1_ctl_d[0] , logic_ena_d, shift1_in_sel_d, \add_21c_sel_d[0] , 
        ccr_affected_d, add_2a_sel_d1071, a_ena_d, round_ctl_d, \logic_c_d[2] , 
        \logic_c_d[0] , \mult_bb_sel_d[0] , \add_22c_sel_d[1] , 
        \mult_bb_sel_d[1] , \add_22c_sel_d[0] , \logic_c_d[1] , add_ena_d, 
        \add_20c_sel_d[1] , \add_21c_sel_d[1] , b_ena_d, mult_ena_d, n836, 
        add_nadd_sub_d, \shift1_ctl_d[1] , add_2d_sel_d, n2977, n2978, n2979, 
        n2980, n2981, n2982, n2983, n2984, n2985, n2986, n2987, n2988, n2989, 
        n2990, n2991, n2992, n2993, n2994, n2995, n2996, n2997, n2998, n2999, 
        n3000, n3001, n3002, n3003, n3004, n3005, n3006, n3007, n3008, n3009, 
        n3010, n3011, n3012, n3013, n3014, n3015, n3016, n3017, n3018, n3019, 
        n3020, n3021, n3022, n3023, n3024, n3025, n3026, n3027, n3028, n3029, 
        n3030, n3031, n3032, n3033, n3034, n3035, n3036, n3037, n3038, n3039, 
        n3040, n3041, n3042, n3043, n3044, n3045, n3046, n3047, n3048, n3049, 
        n3050, n3051, n3052, n3053, n3054, n3055, n3056, n3057, n3058, n3059, 
        n3060, n3061, n3062, n3063, n3064, n3065, n3066, n3067, n3068, n3069, 
        n3070, n3071, n3072, n3073, n3074, n3075, n3076, n3077, n3078, n3109, 
        n3110, n3111, n3112, n3113, n3114;
    assign shift1_in_sel = scan_out;
    stdnor2_2x U904 ( .IN0(immediate), .IN1(n3008), .Y(n3010) );
    stdand2_1x U905 ( .IN0(n3039), .IN1(n3043), .Y(n3008) );
    stdinv_6x U906 ( .IN0(reset), .Y(n3111) );
    stdnor2_1x U907 ( .IN0(pdb[7]), .IN1(n3008), .Y(add_ena_d) );
    stdnor2_1x U908 ( .IN0(n3008), .IN1(n3009), .Y(mult_ena_d) );
    stdnor2_1x U909 ( .IN0(pdb[5]), .IN1(pdb[4]), .Y(n3011) );
    stdnor2_1x U910 ( .IN0(pdb[7]), .IN1(n3013), .Y(n3012) );
    stdnor2_1x U911 ( .IN0(pdb[1]), .IN1(n3018), .Y(n3017) );
    stdnor2_1x U912 ( .IN0(pdb[7]), .IN1(n3020), .Y(n3019) );
    stdnor2_1x U913 ( .IN0(pdb[0]), .IN1(pdb[7]), .Y(n3021) );
    stdnor2_1x U914 ( .IN0(pdb[6]), .IN1(pdb[5]), .Y(n3022) );
    stdinv_3x U915 ( .IN0(pdb[4]), .Y(n3024) );
    stdinv_3x U916 ( .IN0(pdb[6]), .Y(n3023) );
    stdinv_3x U917 ( .IN0(pdb[7]), .Y(n3009) );
    stdinv_3x U918 ( .IN0(n3010), .Y(n3016) );
    stdinv_3x U919 ( .IN0(n3022), .Y(n3029) );
    stdinv_3x U920 ( .IN0(pdb[1]), .Y(n3020) );
    stdinv_3x U921 ( .IN0(pdb[3]), .Y(n3026) );
    stdinv_3x U922 ( .IN0(pdb[2]), .Y(n3031) );
    stdinv_3x U923 ( .IN0(pdb[5]), .Y(n3032) );
    stdnand3_2x U924 ( .IN0(pdb[1]), .IN1(pdb[2]), .IN2(pdb[0]), .Y(n3033) );
    stdnand2_3x U925 ( .IN0(n3012), .IN1(n3010), .Y(n3034) );
    stdinv_3x U926 ( .IN0(n3037), .Y(logic_ena_d) );
    stdinv_3x U927 ( .IN0(n3038), .Y(n3015) );
    stdinv_3x U928 ( .IN0(test), .Y(n3006) );
    stdnand3_2x U929 ( .IN0(pdb[16]), .IN1(pdb[7]), .IN2(pdb[6]), .Y(n3040) );
    stdnor2_1x U930 ( .IN0(pdb[2]), .IN1(pdb[6]), .Y(n3044) );
    stdnor2_1x U931 ( .IN0(n3022), .IN1(n3044), .Y(n3045) );
    stdinv_3x U932 ( .IN0(pdb[0]), .Y(n3047) );
    stdnor2_1x U933 ( .IN0(pdb[7]), .IN1(n3048), .Y(n3049) );
    stdnor2_1x U934 ( .IN0(n3031), .IN1(n3032), .Y(n3053) );
    stdinv_3x U935 ( .IN0(n3046), .Y(n3056) );
    stdinv_3x U936 ( .IN0(n3019), .Y(n3057) );
    stdinv_3x U937 ( .IN0(n3048), .Y(n3058) );
    stdnor2_1x U938 ( .IN0(pdb[19]), .IN1(pdb[18]), .Y(n3059) );
    stdnor2_1x U939 ( .IN0(n3062), .IN1(n3061), .Y(n3063) );
    stdnor2_1x U940 ( .IN0(pdb[7]), .IN1(n3063), .Y(n3064) );
    stdnor2_1x U941 ( .IN0(n3022), .IN1(pdb[7]), .Y(n3065) );
    stdnand2_3x U942 ( .IN0(n3067), .IN1(n3066), .Y(\logic_c_d[1] ) );
    stdnand2_3x U943 ( .IN0(n3068), .IN1(n3066), .Y(\logic_c_d[0] ) );
    stdmux2_2x U944 ( .IN0(n3017), .IN1(n3069), .S0(pdb[0]), .Y(n3070) );
    stdnor2_1x U945 ( .IN0(pdb[0]), .IN1(n3071), .Y(n3072) );
    stdinv_3x U946 ( .IN0(n3025), .Y(n3076) );
    stdinv_3x U947 ( .IN0(n3028), .Y(n3075) );
    stdnand2_3x U948 ( .IN0(n3035), .IN1(n3029), .Y(n3077) );
    stdinv_3x U949 ( .IN0(n3035), .Y(n3078) );
    stdinv_40x U950 ( .IN0(n3007), .Y(b_ena) );
    stdnand2_2x U951 ( .IN0(n3006), .IN1(n3109), .Y(n3007) );
    stdinv_40x U952 ( .IN0(n3005), .Y(a_ena) );
    stdnand2_2x U953 ( .IN0(n3006), .IN1(n3110), .Y(n3005) );
    stdbuf_15x U954 ( .IN0(n2977), .Y(add_ena) );
    stdsdff_p_2x add_ena_reg ( .CLK(Clk), .D(add_ena_d), .PRE(n3111), .SCANIN(
        add_22c_sel[1]), .TEST(n3112), .Q(n2977) );
    stdbuf_15x U955 ( .IN0(n2978), .Y(mult_ena) );
    stdsdff_p_2x mult_ena_reg ( .CLK(Clk), .D(mult_ena_d), .PRE(n3111), 
        .SCANIN(mult_bb_sel[1]), .TEST(n3112), .Q(n2978) );
    stdbuf_15x U956 ( .IN0(n2979), .Y(logic_c[0]) );
    stdsdff_p_2x \logic_c_reg[0]  ( .CLK(Clk), .D(\logic_c_d[0] ), .PRE(n3111), 
        .SCANIN(ccr_affected), .TEST(n3112), .Q(n2979) );
    stdbuf_15x U957 ( .IN0(n2980), .Y(logic_c[1]) );
    stdsdff_p_2x \logic_c_reg[1]  ( .CLK(Clk), .D(\logic_c_d[1] ), .PRE(n3111), 
        .SCANIN(logic_c[0]), .TEST(n3112), .Q(n2980) );
    stdbuf_15x U958 ( .IN0(n2981), .Y(logic_ena) );
    stdsdff_p_2x logic_ena_reg ( .CLK(Clk), .D(logic_ena_d), .PRE(n3111), 
        .SCANIN(logic_c[2]), .TEST(n3112), .Q(n2981) );
    stdbuf_15x U959 ( .IN0(n2982), .Y(shift1_right) );
    stdsdff_p_2x \shift1_ctl_reg[0]  ( .CLK(Clk), .D(\shift1_ctl_d[0] ), .PRE(
        n3111), .SCANIN(round_ctl), .TEST(n3112), .Q(n2982) );
    stdbuf_15x U960 ( .IN0(n2983), .Y(shift1_left) );
    stdsdff_p_2x \shift1_ctl_reg[1]  ( .CLK(Clk), .D(\shift1_ctl_d[1] ), .PRE(
        n3111), .SCANIN(shift1_right), .TEST(n3112), .Q(n2983) );
    stdbuf_16x U961 ( .IN0(n2984), .Y(add_2d_sel) );
    stdsdff_c_2x add_2d_sel_reg ( .CLK(Clk), .CLR(n3111), .D(add_2d_sel_d), 
        .SCANIN(add_2a_sel), .TEST(n3112), .Q(n2984) );
    stdbuf_16x U962 ( .IN0(n2985), .Y(add_20c_sel[0]) );
    stdsdff_c_2x \add_20c_sel_reg[0]  ( .CLK(Clk), .CLR(n3111), .D(
        \add_22c_sel_d[0] ), .SCANIN(add_2d_sel), .TEST(n3112), .Q(n2985) );
    stdbuf_16x U963 ( .IN0(n2986), .Y(add_20c_sel[1]) );
    stdsdff_c_2x \add_20c_sel_reg[1]  ( .CLK(Clk), .CLR(n3111), .D(
        \add_20c_sel_d[1] ), .SCANIN(add_20c_sel[0]), .TEST(n3112), .Q(n2986)
         );
    stdbuf_16x U964 ( .IN0(n2987), .Y(add_21c_sel[0]) );
    stdsdff_c_2x \add_21c_sel_reg[0]  ( .CLK(Clk), .CLR(n3111), .D(
        \add_21c_sel_d[0] ), .SCANIN(add_20c_sel[1]), .TEST(n3112), .Q(n2987)
         );
    stdbuf_16x U965 ( .IN0(n2988), .Y(add_21c_sel[1]) );
    stdsdff_c_2x \add_21c_sel_reg[1]  ( .CLK(Clk), .CLR(n3111), .D(
        \add_21c_sel_d[1] ), .SCANIN(add_21c_sel[0]), .TEST(n3112), .Q(n2988)
         );
    stdbuf_16x U966 ( .IN0(n2989), .Y(add_22c_sel[0]) );
    stdsdff_c_2x \add_22c_sel_reg[0]  ( .CLK(Clk), .CLR(n3111), .D(
        \add_22c_sel_d[0] ), .SCANIN(add_21c_sel[1]), .TEST(n3112), .Q(n2989)
         );
    stdbuf_16x U967 ( .IN0(n2990), .Y(add_22c_sel[1]) );
    stdsdff_c_2x \add_22c_sel_reg[1]  ( .CLK(Clk), .CLR(n3111), .D(
        \add_22c_sel_d[1] ), .SCANIN(add_22c_sel[0]), .TEST(n3112), .Q(n2990)
         );
    stdbuf_16x U968 ( .IN0(n2991), .Y(add_2a_sel) );
    stdsdff_c_2x add_2a_sel_reg ( .CLK(Clk), .CLR(n3111), .D(add_2a_sel_d1071), 
        .SCANIN(n3114), .TEST(n3112), .Q(n2991) );
    stdbuf_16x U969 ( .IN0(n2992), .Y(mult_bb_sel[0]) );
    stdsdff_c_2x \mult_bb_sel_reg[0]  ( .CLK(Clk), .CLR(n3111), .D(
        \mult_bb_sel_d[0] ), .SCANIN(mult_aa_sel[1]), .TEST(n3112), .Q(n2992)
         );
    stdbuf_16x U970 ( .IN0(n2993), .Y(mult_bb_sel[1]) );
    stdsdff_c_2x \mult_bb_sel_reg[1]  ( .CLK(Clk), .CLR(n3111), .D(
        \mult_bb_sel_d[1] ), .SCANIN(mult_bb_sel[0]), .TEST(n3112), .Q(n2993)
         );
    stdbuf_16x U971 ( .IN0(n2994), .Y(mult_a_sel) );
    stdsdff_c_2x mult_a_sel_reg ( .CLK(Clk), .CLR(n3111), .D(n836), .SCANIN(
        logic_in2_sel[1]), .TEST(n3112), .Q(n2994) );
    stdbuf_16x U972 ( .IN0(n2995), .Y(mult_aa_sel[0]) );
    stdsdff_c_2x \mult_aa_sel_reg[0]  ( .CLK(Clk), .CLR(n3111), .D(pdb[4]), 
        .SCANIN(mult_a_sel), .TEST(n3112), .Q(n2995) );
    stdbuf_16x U973 ( .IN0(n2996), .Y(mult_aa_sel[1]) );
    stdsdff_c_2x \mult_aa_sel_reg[1]  ( .CLK(Clk), .CLR(n3111), .D(pdb[5]), 
        .SCANIN(mult_aa_sel[0]), .TEST(n3112), .Q(n2996) );
    stdbuf_16x U974 ( .IN0(n2997), .Y(ccr_affected) );
    stdsdff_c_2x ccr_affected_reg ( .CLK(Clk), .CLR(n3111), .D(ccr_affected_d), 
        .SCANIN(n3113), .TEST(n3112), .Q(n2997) );
    stdbuf_16x U975 ( .IN0(n2998), .Y(logic_c[2]) );
    stdsdff_c_2x \logic_c_reg[2]  ( .CLK(Clk), .CLR(n3111), .D(\logic_c_d[2] ), 
        .SCANIN(logic_c[1]), .TEST(n3112), .Q(n2998) );
    stdbuf_16x U976 ( .IN0(n2999), .Y(logic_in2_sel[0]) );
    stdsdff_c_2x \logic_in2_sel_reg[0]  ( .CLK(Clk), .CLR(n3111), .D(pdb[4]), 
        .SCANIN(logic_in1_sel), .TEST(n3112), .Q(n2999) );
    stdbuf_16x U977 ( .IN0(n3000), .Y(logic_in2_sel[1]) );
    stdsdff_c_2x \logic_in2_sel_reg[1]  ( .CLK(Clk), .CLR(n3111), .D(pdb[5]), 
        .SCANIN(logic_in2_sel[0]), .TEST(n3112), .Q(n3000) );
    stdbuf_16x U978 ( .IN0(n3001), .Y(logic_in1_sel) );
    stdsdff_c_2x logic_in1_sel_reg ( .CLK(Clk), .CLR(n3111), .D(pdb[3]), 
        .SCANIN(logic_ena), .TEST(n3112), .Q(n3001) );
    stdbuf_16x U979 ( .IN0(n3002), .Y(round_ctl) );
    stdsdff_c_2x round_ctl_reg ( .CLK(Clk), .CLR(n3111), .D(round_ctl_d), 
        .SCANIN(mult_ena), .TEST(n3112), .Q(n3002) );
    stdbuf_16x U980 ( .IN0(n3003), .Y(add_nadd_sub) );
    stdsdff_c_2x add_nadd_sub_reg ( .CLK(Clk), .CLR(n3111), .D(add_nadd_sub_d), 
        .SCANIN(add_ena), .TEST(n3112), .Q(n3003) );
    stdaoi21_1x U982 ( .IN0(n3014), .IN1(n3015), .IN2(n3016), .Y(
        ccr_affected_d) );
    stdand2_3x U983 ( .IN0(n3023), .IN1(n3011), .Y(n3018) );
    stdor2_3x U984 ( .IN0(n3011), .IN1(pdb[6]), .Y(n3025) );
    stdxor2_1x U985 ( .IN0(n3026), .IN1(n3027), .Y(add_2a_sel_d1071) );
    stdand2_3x U986 ( .IN0(n3010), .IN1(n3021), .Y(n3028) );
    stdor2_3x U987 ( .IN0(n3029), .IN1(n3024), .Y(n3030) );
    stdand2_3x U988 ( .IN0(n3010), .IN1(pdb[7]), .Y(add_2d_sel_d) );
    stdand2_3x U989 ( .IN0(n3028), .IN1(n3017), .Y(n3035) );
    stdaoi22_1x U990 ( .IN0(n3024), .IN1(n3023), .IN2(n3032), .IN3(pdb[6]), 
        .Y(\mult_bb_sel_d[0] ) );
    stdand2_3x U991 ( .IN0(n3036), .IN1(n3010), .Y(\logic_c_d[2] ) );
    stdand2_3x U992 ( .IN0(n3012), .IN1(n3025), .Y(n3038) );
    stdnor4_1x U993 ( .IN0(pdb[20]), .IN1(pdb[22]), .IN2(pdb[21]), .IN3(pdb
        [23]), .Y(n3039) );
    stdnor3_1x U994 ( .IN0(n3040), .IN1(pdb[13]), .IN2(pdb[15]), .Y(n3041) );
    stdnor3_1x U995 ( .IN0(pdb[18]), .IN1(pdb[17]), .IN2(pdb[14]), .Y(n3042)
         );
    stdoai21_1x U996 ( .IN0(n3041), .IN1(pdb[19]), .IN2(n3042), .Y(n3043) );
    stdnor3_1x U997 ( .IN0(n3045), .IN1(pdb[0]), .IN2(n3020), .Y(n3046) );
    stdor3_3x U998 ( .IN0(pdb[1]), .IN1(pdb[2]), .IN2(n3047), .Y(n3013) );
    stdor3_3x U999 ( .IN0(n3013), .IN1(n3030), .IN2(n3016), .Y(n3048) );
    stdao211_2x U1000 ( .IN0(n3046), .IN1(n3010), .IN2(n3035), .IN3(n3049), 
        .Y(n3050) );
    stdaoa211_2x U1001 ( .IN0(add_2d_sel_d), .IN1(pdb[1]), .IN2(n3050), .IN3(
        pdb[3]), .Y(shift1_in_sel_d) );
    stdor2_3x U1002 ( .IN0(n3018), .IN1(pdb[7]), .Y(n3051) );
    stdoaoi211_1x U1003 ( .IN0(pdb[2]), .IN1(n3030), .IN2(pdb[0]), .IN3(n3051), 
        .Y(n3052) );
    stdoai31_1x U1004 ( .IN0(n3053), .IN1(pdb[0]), .IN2(pdb[6]), .IN3(n3019), 
        .Y(n3054) );
    stdoa211_2x U1005 ( .IN0(n3052), .IN1(pdb[1]), .IN2(n3054), .IN3(n3010), 
        .Y(n3055) );
    stdoai31_1x U1006 ( .IN0(n3056), .IN1(pdb[7]), .IN2(n3024), .IN3(n3055), 
        .Y(\shift1_ctl_d[1] ) );
    stdoai21_1x U1007 ( .IN0(pdb[4]), .IN1(n3057), .IN2(n3055), .Y(
        \shift1_ctl_d[0] ) );
    stdao21_2x U1008 ( .IN0(add_2d_sel_d), .IN1(pdb[0]), .IN2(n3058), .Y(
        round_ctl_d) );
    stdnor4_1x U1009 ( .IN0(pdb[13]), .IN1(pdb[17]), .IN2(pdb[15]), .IN3(pdb
        [14]), .Y(n3060) );
    stdnand4_1x U1010 ( .IN0(n3059), .IN1(pdb[16]), .IN2(n3060), .IN3(n3039), 
        .Y(n836) );
    stdaoa211_2x U1011 ( .IN0(pdb[5]), .IN1(pdb[4]), .IN2(n3011), .IN3(pdb[6]), 
        .Y(\mult_bb_sel_d[1] ) );
    stdand4_3x U1012 ( .IN0(n3023), .IN1(pdb[0]), .IN2(pdb[5]), .IN3(n3019), 
        .Y(n3036) );
    stdand3_3x U1013 ( .IN0(pdb[6]), .IN1(pdb[1]), .IN2(n3033), .Y(n3061) );
    stdnor3_1x U1014 ( .IN0(n3033), .IN1(n3024), .IN2(pdb[6]), .Y(n3062) );
    stdaoi21_1x U1015 ( .IN0(n3064), .IN1(n3010), .IN2(\logic_c_d[2] ), .Y(
        n3037) );
    stdoa21_3x U1016 ( .IN0(pdb[0]), .IN1(pdb[6]), .IN2(pdb[1]), .Y(n3027) );
    stdand3_3x U1017 ( .IN0(n3027), .IN1(n3065), .IN2(n3010), .Y(n3066) );
    stdaoi22_1x U1018 ( .IN0(pdb[2]), .IN1(pdb[6]), .IN2(n3036), .IN3(pdb[4]), 
        .Y(n3067) );
    stdaoi22_1x U1019 ( .IN0(pdb[0]), .IN1(pdb[6]), .IN2(n3036), .IN3(pdb[2]), 
        .Y(n3068) );
    stdoai22_1x U1020 ( .IN0(n3020), .IN1(n3025), .IN2(pdb[2]), .IN3(n3030), 
        .Y(n3069) );
    stdnor4_1x U1021 ( .IN0(n3070), .IN1(n3046), .IN2(n3061), .IN3(pdb[7]), 
        .Y(n3014) );
    stdaoi211_1x U1022 ( .IN0(n3014), .IN1(n3015), .IN2(n3026), .IN3(n3016), 
        .Y(b_ena_d) );
    stdaoi21_1x U1023 ( .IN0(pdb[1]), .IN1(n3022), .IN2(n3017), .Y(n3071) );
    stdaoa211_2x U1024 ( .IN0(n3072), .IN1(n3010), .IN2(add_2d_sel_d), .IN3(
        pdb[2]), .Y(add_nadd_sub_d) );
    stdaoi21_1x U1025 ( .IN0(n3017), .IN1(n3021), .IN2(n3038), .Y(n3073) );
    stdnor3_1x U1026 ( .IN0(n3016), .IN1(n3073), .IN2(n3022), .Y(
        \add_22c_sel_d[1] ) );
    stdand2_3x U1027 ( .IN0(n3020), .IN1(n3018), .Y(n3074) );
    stdoai31_1x U1028 ( .IN0(n3075), .IN1(n3074), .IN2(n3029), .IN3(n3037), 
        .Y(\add_22c_sel_d[0] ) );
    stdoai32_1x U1029 ( .IN0(n3034), .IN1(n3076), .IN2(n3018), .IN3(n3071), 
        .IN4(n3075), .Y(\add_21c_sel_d[1] ) );
    stdoai211_1x U1030 ( .IN0(n3034), .IN1(n3023), .IN2(n3037), .IN3(n3077), 
        .Y(\add_21c_sel_d[0] ) );
    stdnor3_1x U1031 ( .IN0(n3078), .IN1(pdb[6]), .IN2(n3032), .Y(
        \add_20c_sel_d[1] ) );
    stdaoi211_1x U1032 ( .IN0(n3014), .IN1(n3015), .IN2(pdb[3]), .IN3(n3016), 
        .Y(a_ena_d) );
    stdsdff_cq_1x b_ena_t_reg ( .CLK(Clk), .CLR(n3111), .D(b_ena_d), .SCANIN(
        add_nadd_sub), .TEST(n3112), .Q(n3109), .QBAR(n3113) );
    stdsdff_cq_1x a_ena_t_reg ( .CLK(Clk), .CLR(n3111), .D(a_ena_d), .SCANIN(
        scan_in), .TEST(n3112), .Q(n3110), .QBAR(n3114) );
    stdinv_6x U1063 ( .IN0(n3006), .Y(n3112) );
    stdbuf_57x U1064 ( .IN0(n3004), .Y(scan_out) );
    stdsdff_c_6x shift1_in_sel_reg ( .CLK(Clk), .CLR(n3111), .D(
        shift1_in_sel_d), .SCANIN(shift1_left), .TEST(n3112), .Q(n3004) );
endmodule

