/* Master file pads.v RTL simulation */
/* The whole chip, including pads */


/* Cascade stuff */
+libext+.v+
-y /afs/ece/common/local/usr/supported/epoch/models/cmos/verilog
-v /afs/ece/common/local/usr/supported/epoch/data/verilog/primlib.v


+define+SIM

/* The testing file -- has to be up here for timescale command */
./test.v


/* agu files that got to synopsys */

../cmudsp/structural/agu/before_syn/agu_control.v             
../cmudsp/structural/agu/before_syn/multi_wrap_address.v
../cmudsp/structural/agu/before_syn/address_mode.v      
../cmudsp/structural/agu/before_syn/write_enable_selector.v
../cmudsp/structural/agu/before_syn/agu_tristate.v          
../cmudsp/structural/agu/before_syn/lower_upper.v            
../cmudsp/structural/agu/before_syn/mydecoder.v
../cmudsp/structural/agu/before_syn/regset_selector_c.v

/* other agu files */
../cmudsp/structural/agu/add_sub_16bit.v
../cmudsp/structural/agu/addr_alu.v
../cmudsp/structural/agu/agu_structural.v
../cmudsp/structural/agu/linear_bitreverse.v
../cmudsp/structural/agu/rfm.v
../cmudsp/structural/agu/rfn.v
../cmudsp/structural/agu/rfr.v
../cmudsp/structural/agu/mux8_16bit.v
../cmudsp/structural/agu/selector_5_to_1_16bit.v
../cmudsp/structural/agu/wrap_once_address.v
../cmudsp/structural/agu/agu_control_wrapper.v
../cmudsp/structural/agu/bound_chk.v


/* pcu files */
../cmudsp/structural/pcu/pcu_structural.v
../cmudsp/structural/pcu/before_syn/pcu_stage2.v
../cmudsp/structural/pcu/before_syn/pcu_stage3.v
../cmudsp/structural/pcu/before_syn/pcu_control.v


/* data switch files */
../cmudsp/structural/bus_switch/bus_switch.v
../cmudsp/structural/bus_switch/before_syn/bs_control.v



/* alu */
/* files that go through synopsys */
../cmudsp/structural/alu/before_syn/mult_decoder.v
../cmudsp/structural/alu/before_syn/check_imm.v
../cmudsp/structural/alu/before_syn/control.v
../cmudsp/structural/alu/before_syn/control_p.v
../cmudsp/structural/alu/before_syn/extcheck_c.v
/* other alu files */
../cmudsp/structural/alu/XYregImm_c.v 
../cmudsp/structural/alu/XYregImm_scan.v
../cmudsp/structural/alu/round_c.v
../cmudsp/structural/alu/shift1_c.v
../cmudsp/structural/alu/logic_c.v
../cmudsp/structural/alu/mux_mult.v
../cmudsp/structural/alu/mux_add.v
../cmudsp/structural/alu/mux_logic.v
../cmudsp/structural/alu/limit_c.v
../cmudsp/structural/alu/alu_struc.v


/* Ram switch files before Synopsys */
../cmudsp/structural/ram_interface/before_syn/addr_bus_control.v
../cmudsp/structural/ram_interface/before_syn/ebus_drivers_control.v
../cmudsp/structural/ram_interface/before_syn/thingy_control.v

/* Ram switch files */
../cmudsp/structural/ram_interface/clock_stop.v
../cmudsp/structural/ram_interface/ebus_drivers.v
../cmudsp/structural/ram_interface/misc_singals.v
../cmudsp/structural/ram_interface/ram_switch.v
../cmudsp/structural/ram_interface/thingy.v
../cmudsp/structural/ram_interface/decoder1_3.v
../cmudsp/structural/ram_interface/mux2_1.v
../cmudsp/structural/ram_interface/ram_control_signals.v


/* The whole core of the chip */
../cmudsp/structural/core_cascade.v

/* The Ram modules */
../cmudsp/structural/ram_system/cascade_ram.v

/* The whole chip with pads files */
../cmudsp/structural/top/cmudsp.v
../cmudsp/structural/top/pads.v



