//	master file for behavioral simulation

/* direcotry for behavioral models */
//-y  ../56k/behavioral/

/* behavioral models */
-v ../56k/behavioral/globals.v 
-v ../56k/behavioral/agu.v 
-v ../56k/behavioral/pcu.v 
-v ../56k/behavioral/rf_N.v 
-v ../56k/behavioral/bus_switch.v 
-v ../56k/behavioral/rf_M.v 
-v ../56k/behavioral/rf_R.v 

/* alu */
//-y ../56k/behavioral/alu.rtl/

-v ../56k/behavioral/alu.rtl/ctl_def.v 
-v ../56k/behavioral/alu.rtl/XYreg.v 
-v ../56k/behavioral/alu.rtl/mult.v
-v ../56k/behavioral/alu.rtl/addsub.v
-v ../56k/behavioral/alu.rtl/round.v
-v ../56k/behavioral/alu.rtl/shift1.v
-v ../56k/behavioral/alu.rtl/logic_unit.v
-v ../56k/behavioral/alu.rtl/decode.v
-v ../56k/behavioral/alu.rtl/check_imm.v
-v ../56k/behavioral/alu.rtl/control.v
-v ../56k/behavioral/alu.rtl/control_p.v
-v ../56k/behavioral/alu.rtl/limit.v
-v ../56k/behavioral/alu.rtl/alu_struc.v

/* test bench related models */
-v async_ramb.v
-v core_ram_s.v
-v core_s.v

/* the test bench */
cr_test_s.v 
